package test.appProfConverter;
public class AppPowerEstimator {

	public static Double PhasePower(SoftwarePhase phase, HardwareProfile hwProf) {
		Double pow = 0.0;

		PhaseState pstate = hwProf.proc.Pstate_map.get(phase.RefFreq);

		pow = (pstate.PowerUsageMax - pstate.PowerUsageMin)
				* phase.PM_CPU_Usage;

		return pow;
	}
}
